%bcond_with perl_MooseX_NonMoose_enables_extra_test

Name:           perl-MooseX-NonMoose
Version:        0.26
Release:    1%{?dist}
Summary:        Easy subclassing of non-Moose classes
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/MooseX-NonMoose
Source0:        https://cpan.metacpan.org/modules/by-module/MooseX/MooseX-NonMoose-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(Module::Runtime)
BuildRequires:  perl(Moose::Exporter)
BuildRequires:  perl(Moose::Role) >= 2.0000
BuildRequires:  perl(Moose::Util)
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(base)
BuildRequires:  perl(blib)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(Moose) >= 1.15
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::Moose)
BuildRequires:  perl(Test::More) >= 0.88
%if %{with perl_MooseX_NonMoose_enables_extra_test}
BuildRequires:  perl(IO::File)
BuildRequires:  perl(MooseX::GlobRef)
BuildRequires:  perl(MooseX::InsideOut) >= 0.100
%endif
Requires:       perl(Moose) >= 1.15

%description
MooseX::NonMoose allows for easily subclassing non-Moose classes with
Moose, taking care of the annoying details connected with doing this, such
as setting up proper inheritance from Moose::Object and installing (and
inlining, at make_immutable time) a constructor that makes sure things like
BUILD methods are called. It tries to be as non-intrusive as possible -
when this module is used, inheriting from non-Moose classes and inheriting
from Moose classes should work identically, aside from the few caveats
mentioned below. One of the goals of this module is that including it in a
Moose::Exporter-based package used across an entire application should be
possible, without interfering with classes that only inherit from Moose
modules, or even classes that don't inherit from anything at all.

%prep
%setup -q -n MooseX-NonMoose-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/MooseX/
%{_mandir}/man3/MooseX::NonMoose.3*
%{_mandir}/man3/MooseX::NonMoose::InsideOut.3*
%{_mandir}/man3/MooseX::NonMoose::Meta::Role::Class.3*
%{_mandir}/man3/MooseX::NonMoose::Meta::Role::Constructor.3*

%changelog
* Wed Jun 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.26-1
- initial build
